from dotenv import load_dotenv
import os

load_dotenv()

API_KEY = os.getenv("DEEPSEEK_API_KEY")
API_URL = os.getenv("DEEPSEEK_API_URL")

class ApiCredential:
    def __init__(self, api_key: str, api_url: str):
        self.api_key = api_key
        self.api_url = api_url

    def get_api_key(self):
        return self.api_key

    def get_api_url(self):
        return self.api_url

def get_api_details() -> ApiCredential:
    """
    Get the API key and URL from environment variables.
    """
    return ApiCredential(API_KEY, API_URL)